DeluxHostAPI Reference
Storage files

Extract a file archive

POST
/v1/services/{orderId}/storage/files/extract

Authorization

apiToken storage:files:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:files:write

Path Parameters

orderId*number

Request Body

application/json
  1. body
path*string
dest?string

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
extracted*boolean
path*string
dest*string
entries*number
curl -X POST 'https://api.deluxhost.net/v1/services/0/storage/files/extract' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "path": "string"}'
Example Response
{  "extracted": true,  "path": "string",  "dest": "string",  "entries": 0}